import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/vender/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/vender/list/export',
    data,
    name
  })
}

// 新增
export function add(data) {
  return request({
    url: `/vender/add`,
    method: 'post',
    data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: `/vender/edit`,
    method: 'post',
    data
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/vender/detail`,
    method: 'post',
    params
  })
}
